function steering_controller_10() 


timestep = 0.1;
dim = 3;


%set options---------------------------------------------------------------
options.x0= [0; 0; 0];
options.R0 = zonotope(interval([0;-0.027;0],[0;0.027;0]));
options.startLoc = 1;
options.finalLoc = 0;
options.tStart = 0;
options.tFinal = 30;
options.intermediateOrder = 10;
options.originContained = 0;

options.zonotopeOrder=100; % zonotope order
options.polytopeOrder=20; % polytope order
options.taylorTerms=10;
options.reductionTechnique = 'girard';
options.isHyperplaneMap=0;
options.enclosureEnables = [3,5]; % choose enclosure method(s)

options.recur = 0; % enable/disable splitting based on performance index (max error).
options.advancedLinErrorComp = 0; % enables adanced error computation
options.simplify = 'collect'; % (optional, values: none, simplify, collect) enable simplification in the Lagrange Reminder expressions
options.tensorOrder = 2; % maximum order up to which tensors are considered in the abstraction of the system.
options.errorOrder = 10; % maximal order of zonotopes used to describe error
options.reductionInterval = inf; % number of time steps after which redundant reachable sets are removed.
options.reductionTechnique='girard';
options.maxError = 10*ones(dim,1); % allowed maximal error before the initial set is split
options.guardIntersect = 'polytope'; % guards are converted to polytopes
options.lagrangeRem.method='interval'; % method to evaluate the Lagrange remainder (zoo, interval, taylorModel)
options.lagrangeRem.maxOrder=10; % maximum polynomial degree of the monomials in the polynomial part of the Taylor model
options.lagrangeRem.optMethod='int'; % method used to calculate the bounds of the Talyor model objects (?int?, ?bnb?, ?bnbAdv? or ?linQuad?, optional)
options.lagrangeRem.tolerance = 1e-2; % minimum absolute value of the Taylor model terms (similar to cutoff in flow* ?)
options.lagrangeRem.eps = 1e-3; % termination tolerance to bnb and bnbAdv

HA = steering_controller_HA();

% set external input & time step size per location
for i=1:7
    options.uLoc{i} = 0;
    options.uLocTrans{i} = 0;
    options.Uloc{i} = zonotope([10 0]); %% change here to adjust speed!
    options.timeStepLoc{i} = timestep;
end

%compute reachable set
tic;
[HA] = reach(HA,options);
reachabilityT = toc;
disp(['Time needed for reachability analysis: ', num2str(reachabilityT)]);

%plot results--------------------------------------------------------------

fig = figure(); 
hold on
options.projectedDimensions = [3 1];

options.plotType = 'b';
plot(HA,'reachableSet',options); %plot reachable set
%plotFilled(options.R0,options.projectedDimensions,'w','EdgeColor','k'); %plot initial set
xlabel('t');
ylabel('dist');
